package com.iamberry.wechat.core.entity.giftCard;

import java.io.Serializable;
import java.util.Date;

/**
 * 代理商支付记录	实体类
 * 2017年2月15日
 * @author muzx
 *
 */
public class AgentPayLogs implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -5449832401064431197L;
	private Integer payId;					//支付记录id
	private String payOpenId;				//代理商openid
	private Integer payMoney;				//支付金额
	private Integer payStatus;				//支付状态			1:待支付；	2：已支付
	private String payTransactionId;		//微信支付订单号
	
	private Date payTransactionDate;		//微信支付时间
	private Integer payGiftCardNum;			//赠送礼品卡张数    (实际生成的时候没有用到,直接冲规则表取的)
	private Date payCreateDate;				//创建时间
	private String payRemark;				//备注
	
	public Integer getPayId() {
		return payId;
	}
	public void setPayId(Integer payId) {
		this.payId = payId;
	}
	public String getPayOpenId() {
		return payOpenId;
	}
	public void setPayOpenId(String payOpenId) {
		this.payOpenId = payOpenId;
	}
	public Integer getPayMoney() {
		return payMoney;
	}
	public void setPayMoney(Integer payMoney) {
		this.payMoney = payMoney;
	}
	public Integer getPayStatus() {
		return payStatus;
	}
	public void setPayStatus(Integer payStatus) {
		this.payStatus = payStatus;
	}
	public String getPayTransactionId() {
		return payTransactionId;
	}
	public void setPayTransactionId(String payTransactionId) {
		this.payTransactionId = payTransactionId;
	}
	public Date getPayTransactionDate() {
		return payTransactionDate;
	}
	public void setPayTransactionDate(Date payTransactionDate) {
		this.payTransactionDate = payTransactionDate;
	}
	public Integer getPayGiftCardNum() {
		return payGiftCardNum;
	}
	public void setPayGiftCardNum(Integer payGiftCardNum) {
		this.payGiftCardNum = payGiftCardNum;
	}
	public Date getPayCreateDate() {
		return payCreateDate;
	}
	public void setPayCreateDate(Date payCreateDate) {
		this.payCreateDate = payCreateDate;
	}
	public String getPayRemark() {
		return payRemark;
	}
	public void setPayRemark(String payRemark) {
		this.payRemark = payRemark;
	}
	@Override
	public String toString() {
		return "AgentPayLogs [payId=" + payId + ", payOpenId=" + payOpenId
				+ ", payMoney=" + payMoney + ", payStatus=" + payStatus
				+ ", payTransactionId=" + payTransactionId
				+ ", payTransactionDate=" + payTransactionDate
				+ ", payGiftCardNum=" + payGiftCardNum + ", payCreateDate="
				+ payCreateDate + ", payRemark=" + payRemark + "]";
	}
	
}
